#ifdef __cplusplus
extern "C" {
#endif

int io_Init(void);

void write_sb_reg(unsigned char idx, unsigned long val);
void write_sb_regw(unsigned char idx, unsigned short val);
void write_sb_regb(unsigned char idx, unsigned char val);
unsigned long read_sb_reg(unsigned char idx);
unsigned short read_sb_regw(unsigned char idx);
unsigned char read_sb_regb(unsigned char idx);

unsigned char io_inpb(unsigned short addr);
void io_outpb(unsigned short addr, unsigned char val);
unsigned short io_inpw(unsigned short addr);
void io_outpw(unsigned short addr, unsigned short val);
unsigned long io_inpdw(unsigned short addr);
void io_outpdw(unsigned short addr, unsigned long val);


#ifdef __cplusplus
}
#endif

